<html>
<b>=== Release Notes ===</b><br/>
<b>Version 1.9.4</b><br/>
Contact: BE-ICS. <a href="mailto:Icecontrols.Support@cern.ch">Icecontrols.Support@cern.ch</a><br/><br/>

<b>CPC 1.9.4 is a bugfix release to provide the following improvements. It is fully compatible with versions RP 1.9.1 and 1.9.2, and you can and should upgrade these projects immediately.  For a full list of changes, see JIRA.</b>

<ul>
	<li>Corrected a problem with the Siemens and TIA Portal PID antiwindup management when tracking mode is active.</li>
	<li>Prevent Siemens Step 7 PLC to SCADA communication (TSPP) from getting stuck - prevent status from never being sent (happened very occasionally after a power cut, 2x in last few years that we know of). Problem existed since forever.</li>
	<li>UAB Log : add checkbox to 'clear before generate' and 'bring-to-front' before generate.</li>
    <li>Multiple improvements for Siemens TIA Portal including refactored instance and logic templates, per latest Step 7 templates, including support for simplified PLC code in alarms (decoration). And also fix to include a first implementation of the PID scheduler, which was not available in previous versions.</li>
</ul>

<b>Additional notes regarding WinCC OA</b>

<ul>
    <li>The Framework Installation Tool and UNICOS Framework that are included in the 1.9.x releases are <b>only</b> compatible with <b>WinCC OA 3.11 SP1</b>.</li>
	<ul>
		If you are using <b>WinCC OA 3.15</b> please check the following websites for the latest release compatible with WinCC OA 3.15 :
		<li>The <a href="https://jcop.web.cern.ch/jcop-framework-component-installation-tool">JCOP Framework Component Installation Tool</a></li>
		<li>The <a href="https://unicos.web.cern.ch/unicos-framework">UNICOS Framework Download page</a></li>
	</ul>
    <li>The WinCC OA UCPC framework version 6.3.10 is compatible with <b>both</b> WinCC OA 3.11 SP1 <b>and</b> WinCC OA 3.15.</li>
</ul>

<li><b>Documentation</b>:<br/>
<ul>
	<li>New CPC Resource Package 1.9.4 Documentation available in <a href="http://ucpc-resources.web.cern.ch/ucpc-resources/1.9.4/index.html">HTML</a> or <a href="http://ucpc-resources.web.cern.ch/ucpc-resources/1.9.4/pdf/UCPC_RP_Manual_1.9.4.pdf">PDF</a>  
</ul>

</ul>

<br/>
<b>Please use version 1.9.4 in all your new projects. </b>And upgrade your old projects to version 1.9.4 if possible/appropriate. <br/><br/>
<b>See official documentation here: <a href="http://cern.ch/unicos-cpc">http://cern.ch/unicos-cpc</a></b><br/>
<b>For help, see: <a href="http://cern.ch/unicos-cpc-help">http://cern.ch/unicos-cpc-help</a></b><br/>

<hr>

<b>=== Upgrade procedure ===</b><br/>
<b>In order to upgrade a SIEMENS PLC:</b><br/>
<ul>
<li>Before the upgrade:</li>
<ul>
<li> Make a backup of your UAB project (or make sure all files are committed to SVN)</li>
</ul>
<li>Do the UAB resource-package upgrade
<li> Regenerate files you want to change in PLC and all symbols</li>
<li> In case you have made user code in Step7, export and save the sources with your user SCL code</li>
<li> Re-import in your PLC application the generated source files and all symbols</li>
<li> Re-import the new PLC baseline</li>
<li> Re compile Baseline and new files</li>
<li> In case you had made user code in Step7, reuse your user SCL code previously saved</li>
</ul>

<hr>

<b>=== Components ===</b><br/>

Version 1.9.4 includes the following components:<br/>
<ul>
<li> CPC Resources Package <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.uab.resources.cpc&a=cpc-resources-package&v=1.9.4&e=jar">1.9.4</a></b>: <a href="https://cern.ch/en-ice-support/issues/?jql=project+%3D+UCPC+AND+fixVersion+%3D+ucpc-uab-resourcespackage-1.9.4">Release Notes</a> <br/></li>
<li> Schneider PLC Baseline <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-plc-schneider&v=6.11&e=zip">6.11</a></b>: <a href="https://cern.ch/en-ice-support/issues/?jql=project+%3D+UCPC+AND+fixVersion+%3D+ucpc-plc-schneider-6.11">change list</a> <br/></li>
<li> Siemens PLC Baseline <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-plc-siemens&v=6.11&e=zip">6.11</a></b>: <a href="https://cern.ch/en-ice-support/issues/?jql=project+%3D+UCPC+AND+fixVersion+%3D+ucpc-plc-siemens-6.11">change list</a> <br/></li>
<li> TIA PLC Baseline <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-plc-tia&v=0.3&e=zip">0.3</a></b>: <a href="https://cern.ch/en-ice-support/issues/?jql=project+%3D+UCPC+AND+fixVersion+%3D+ucpc-plc-tia-0.3">change list</a> <br/></li>
<li> CoDeSyS PLC Baseline <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-softplc-codesys&v=1.1&e=zip">1.1</a></b>: No changes. </li>
<li> WinCC Flexible CPC Touch Panel Package <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-wincc-flexible&v=1.19&e=zip">1.19</a></b>: No changes. </li>
<li> TIA Portal CPC Touch Panel Package <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-wincc-tia&v=1.3&e=zip">1.3</a></b>: No changes. </li>
<li> Magelis CPC Touch Panel Package <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-magelis&v=1.0&e=zip">1.0</a></b>: No changes. </li>
<li> WinCC OA CPC Package <b><a href="https://nexus.web.cern.ch/nexus/service/local/artifact/maven/redirect?r=cern-nexus&g=cern.unicos.cpc&a=ucpc-wincc-oa&v=6.3.10&e=zip">6.3.10</a></b>: <a href="https://cern.ch/en-ice-support/issues/?jql=project+%3D+UCPC+AND+fixVersion+%3D+ucpc-wincc-oa-6.3.10">change list</a></li>
<li> Framework Installation Tool <b><a href="https://edms.cern.ch/file/1085149/67/fwInstallation-7.2.6.zip">7.2.6</a></b>, see <a href="https://jcop.web.cern.ch/jcop-framework-component-installation-tool">documentation page</a></li>
<li> UNICOS Framework <b><a href="https://edms.cern.ch/file/1176169/6.4.2/unicos-framework-6.4.2.zip">6.4.2</a></b>, see <a href="https://edms.cern.ch/file/1176169/6.4.2/unicos-framework-ReleaseNotes.txt">release notes</a> and <a href="https://edms.cern.ch/document/1176169/6.4.2">EDMS link</a></li>
</ul>

For complete list of CPC Wizard 1.9.3 changes, see <a href="https://cern.ch/en-ice-support/issues/?jql=project+%3D+UCPC+AND+fixVersion+%3D+ucpc-uab-1.9.3">Release Notes</a> <br/>
<br/>
For complete list of <b>all</b> changes for this release, see <a href="https://cern.ch/en-ice-support/issues/?jql=project+%3D+UCPC+AND+fixVersion+%3D+CPC_2017_1.9.3">All UCPC Changes for Resource Package 1.9.4 Release</a> <br/>

</html>